ChangeSet 1.1013, 2003/03/05 13:51:32-08:00, clemens@ladisch.de

[PATCH] usb-midi.h: fixes for SC-8820/50

The SC-8820 has two synth ports, not one.
The SC-8850 has two external MIDI ports.

BTW: The original driver at
<http://member.nifty.ne.jp/Breeze/softwares/unix/usbmidi-e.html> already
has had these fixes for some time now, and supports more devices.


 drivers/usb/usb-midi.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)


diff -Nru a/drivers/usb/usb-midi.h b/drivers/usb/usb-midi.h
--- a/drivers/usb/usb-midi.h	Thu Mar  6 14:24:17 2003
+++ b/drivers/usb/usb-midi.h	Thu Mar  6 14:24:17 2003
@@ -101,15 +101,15 @@
   { /* Roland SC8850 */
     "Roland SC8850",
     USB_VENDOR_ID_ROLAND, USBMIDI_ROLAND_SC8850, 2, -1,
-    { { 0x81, 15 }, {-1, -1} }, /** cables 0,1,2, and 3 **/
-    { { 0x01, 15 }, {-1, -1} },
+    { { 0x81, 0x3f }, {-1, -1} },
+    { { 0x01, 0x3f }, {-1, -1} },
   },
 
   { /* Roland SC8820 */
     "Roland SC8820",
     USB_VENDOR_ID_ROLAND, USBMIDI_ROLAND_SC8820, 2, -1,
-    { { 0x81, 17 }, {-1, -1} },
-    { { 0x01, 17 }, {-1, -1} },
+    { { 0x81, 0x13 }, {-1, -1} },
+    { { 0x01, 0x13 }, {-1, -1} },
   },
 
   { /* YAMAHA MU1000 */
